Bug 338188 - sort mails by attachment does not work
Summary: sort mails by attachment does not work
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: 4.13.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-11 09:26 UTC by Florian Reinhard
Modified: 2014-08-13 06:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.14


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Reinhard 2014-08-11 09:26:22 UTC
my setup / steps to reproduce:
- imap folder (thats what i've tested with)
- some mails in the folder with attachment
- some mails in the folder without attachment
- make the column "attachment" visible
- click on it to sort in ascending descending order

what i would expect:
- when the arrow in the attachment-column points upwards: list all mails that have an attachment first
- when the arrow in the attachment-column points downwards: list all mails that do not have an attachment first
Comment 1 Laurent Montel 2014-08-13 06:12:35 UTC
I confirm it.
Comment 2 Laurent Montel 2014-08-13 06:40:59 UTC
Git commit e8d584ba7737327373375c43daaeee93c915bcd1 by Montel Laurent.
Committed on 13/08/2014 at 06:40.
Pushed by mlaurent into branch 'KDE/4.14'.

Fix Bug 338188 - sort mails by attachment does not work

FIXED-IN: 4.14

M  +25   -0    messagelist/core/item_p.h
M  +1    -1    messagelist/core/manager.cpp
M  +17   -0    messagelist/core/model.cpp
M  +2    -1    messagelist/core/model_p.h
M  +2    -0    messagelist/core/sortorder.cpp
M  +2    -1    messagelist/core/sortorder.h

http://commits.kde.org/kdepim/e8d584ba7737327373375c43daaeee93c915bcd1
Comment 3 Laurent Montel 2014-08-13 06:43:41 UTC
I fixed it now but for existing theme we need to adapt it.
Need to inform that we want to sort by attachment in this specific column.